camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Freeman Fang (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (CAMEL-4407) camel-script feature should ship script implementation bundles like groovy/javascript/ruby
Date Fri, 02 Sep 2011 14:22:09 GMT

     [ https://issues.apache.org/jira/browse/CAMEL-4407?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Freeman Fang resolved CAMEL-4407.
---------------------------------

       Resolution: Fixed
    Fix Version/s: 2.9.0
                   2.8.1

commit fix
http://svn.apache.org/viewvc?rev=1164540&view=rev for trunk
https://svn.apache.org/repos/asf/camel/trunk for 2.8.x branch

> camel-script feature should ship script implementation bundles like groovy/javascript/ruby
> ------------------------------------------------------------------------------------------
>
>                 Key: CAMEL-4407
>                 URL: https://issues.apache.org/jira/browse/CAMEL-4407
>             Project: Camel
>          Issue Type: Improvement
>            Reporter: Freeman Fang
>            Assignee: Freeman Fang
>             Fix For: 2.8.1, 2.9.0
>
>
> the camel-script feature looks like
> <feature name="camel-script" version="2.6.0">
>         <feature version="2.6.0">camel-core</feature>
>         <bundle>mvn:org.apache.servicemix.specs/org.apache.servicemix.specs.scripting-api-1.0/1.7.0</bundle>
>         <bundle>mvn:org.apache.camel/camel-script/2.6.0</bundle>
>     </feature>
> it has no specific script implementation bundles
> the servicemix-scripting feature looks like
> <feature name="servicemix-scripting" version="2011.01">
>         <feature version="2011.01">servicemix-shared</feature>
>         <bundle>mvn:org.apache.servicemix.specs/org.apache.servicemix.specs.scripting-api-1.0/1.7.0</bundle>
>         <bundle>mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.asm/2.2.3_4</bundle>
>         <bundle>mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.antlr/2.7.7_3</bundle>
>         <bundle>mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.groovy/1.5.6_4</bundle>
>         <bundle>mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.rhino/1.7R1_3</bundle>
>         <bundle>mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.jruby/1.1.2_3</bundle>
>         <bundle>mvn:com.google.code.scriptengines/scriptengines-groovy/1.1</bundle>
>         <bundle>mvn:com.google.code.scriptengines/scriptengines-javascript/1.1</bundle>
>         <bundle>mvn:com.google.code.scriptengines/scriptengines-jruby/1.1</bundle>
>         <bundle>mvn:org.apache.servicemix/servicemix-scripting/2011.01</bundle>
>     </feature>
> It ship groovy/ruby/javascript implementation bundle.
> We should do same for camel-script feature, otherwise customer can't use camel-script
feature without servicemix-scripting get installed.
> There's a related discussion on Servciemix mailing list[1], I think we need fix it in
camel
> [1]http://servicemix.396122.n5.nabble.com/Exception-when-using-JavaScript-expression-in-Camel-routes-td4758137.html#a4761878

--
This message is automatically generated by JIRA.
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message